--
-- manualUnloading Specialization
--
-- @author  Rival
-- @date  12/07/16
--

manualUnloading = {};

function manualUnloading.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Overloading, specializations);
end;

function manualUnloading:load(xmlFile)
	self.doManualUnloading = false;
	if self.isClient then
		self.sampleUnloading = Utils.loadSample(xmlFile, {}, "vehicle.unloadingSound", "Sounds/unloading.wav", self.baseDirectory, self.components[1].node);
	end;
end;
function manualUnloading:delete()
	if self.sampleUnloading ~= nil then
		Utils.deleteSample(self.sampleUnloading);
	end;
end;
function manualUnloading:mouseEvent(posX, posY, isDown, isUp, button)
end;
function manualUnloading:keyEvent(unicode, sym, modifier, isDown)
end;
function manualUnloading:updateTick(dt)
end;
function manualUnloading:update(dt)
	if self.isEntered then
		if not self.isHired then
			if self.currentPipeState == 2 and self:findTrailerToUnload(self.currentFillType) ~= nil and self.fillLevel > 0 then
				if self:getIsActiveForInput(false) and InputBinding.hasEvent(InputBinding.CD_ACTIVATE_UNLOADING) then
					self.doManualUnloading = not self.doManualUnloading;
				end;
			else
				self.doManualUnloading = false;
			end;
		else
			self.doManualUnloading = true;
		end;
		if not self.isMotorStarted then
			self.doManualUnloading = false;
		end;
		if self.doManualUnloading then
			self.pipeStateIsUnloading[2] = true;
		else
			self.pipeStateIsUnloading[2] = false;
		end;
	end;
	if self.isClient then
		if self.isEntered and self.doManualUnloading then
			if not self.sampleUnloading.isPlaying then
				Utils.playSample(self.sampleUnloading,0,0,nil);
			end;
		else
			if self.sampleUnloading.isPlaying then
				Utils.stopSample(self.sampleUnloading, true);
			end;
		end;
	end;
end;
function manualUnloading:draw()
	if self.currentPipeState == 2 and self:findTrailerToUnload(self.currentFillType) ~= nil and self.fillLevel > 0 and not self.isHired then
		if self.doManualUnloading then
			g_currentMission:addHelpButtonText(g_i18n:getText("CD_STOP_UNLOADING"), InputBinding.CD_ACTIVATE_UNLOADING);
		else
			g_currentMission:addHelpButtonText(g_i18n:getText("CD_START_UNLOADING"), InputBinding.CD_ACTIVATE_UNLOADING);
		end;
	end;
end;